ros-rolling-moveit-ros-move-group (2.9.0-1jammy) jammy; urgency=high

  * Fix warning and cleanup unneeded placeholders (#2566 <https://github.com/ros-planning/moveit2/issues/2566>)
    * Fix warning and cleanup unneeded placeholders
    * Make clang-tidy happy
    * Remove print statement
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Factor out path joint-space jump check (#2506 <https://github.com/ros-planning/moveit2/issues/2506>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Use generate parameters library in PlanningPipelineClass + general cleanups (#2288 <https://github.com/ros-planning/moveit2/issues/2288>)
    * Don't discard stuff
    * Move constants into source file
    * Move static consts into header
    * Don't ignore pipeline result
    * Use generate parameter library for planning pipeline parameters
    * Fix CI
    * More CI fixes
    * Remove more state from planning pipeline
    * Small cleanups
    * Assert planner_instance_ is not a nullptr
    * Remove valid variable
    * Simplify logic for trajectory printing
    * More helpful comments
    * Small logic simplification by using break
    * Fix clang-tidy
    * Pre-commit + Deprecate functions instead of removing them
    * Fix CI
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Remove old deprecated functions (#2384 <https://github.com/ros-planning/moveit2/issues/2384>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Mario Prats, Marq Rasmussen, Rayene Messaoud, Sebastian Jahr, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Tue, 09 Jan 2024 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.8.0-1jammy) jammy; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Specify controller name in MGI execution (#2257 <https://github.com/ros-planning/moveit2/issues/2257>)
    * Specify controller name in MGI execute
    * Finish comment
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * fix move_group capabilities loading (#2270 <https://github.com/ros-planning/moveit2/issues/2270>)
    * fix move_group capabilities loading
    * clang-format
  * Cleanup move_group CMake (#2226 <https://github.com/ros-planning/moveit2/issues/2226>)
  * Contributors: Shobuj Paul, Stephanie Eng, Tyler Weaver, Yang Lin

 -- Michael Görner <me@v4hn.de>  Sun, 10 Sep 2023 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.7.4-1jammy) jammy; urgency=high

  * Fix MoveGroup action cancel callback (#2118 <https://github.com/ros-planning/moveit2/issues/2118>)
    Moves the execution callback into its own thread to avoid blocking and actually calls the preempt function in with the cancel callback.
  * Scale acceleration and velocity of cartesian interpolations (#1968 <https://github.com/ros-planning/moveit2/issues/1968>)
  * Contributors: Jonathan Grebe, Yadu

 -- Michael Görner <me@v4hn.de>  Thu, 18 May 2023 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Michael Görner <me@v4hn.de>  Mon, 24 Apr 2023 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.7.2-1jammy) jammy; urgency=high

  * Fix MoveItCpp issues (port from MoveIt1) (#2001 <https://github.com/ros-planning/moveit2/issues/2001>)
    * Fix MoveitCpp's const member accessors
    They should return a ConstPtr instead of a const Ptr&!
    * Fix SEVERE ClassLoader warning when releasing MoveItCpp
    - PSM was released before copy of its RobotModel -> removed extra RobotModel copy
    - clearContents() was broken:
    - resets in wrong order: psm_ should be last
    - trajectory_execution_manager_ was missing
    I suggest to omit clearContents() and rely on the (correct) ordering of member variables.
    While this is not explicit, we ensure that we don't miss any newly added member variable.
    Fix: https://github.com/ros-planning/moveit2/issues/1597
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 18 Apr 2023 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Thu, 23 Mar 2023 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.7.0-1jammy) jammy; urgency=high

  * move_group: Delete unused execute_trajectory_service_capability (#1836 <https://github.com/ros-planning/moveit2/issues/1836>)
  * keep printf color change on same line (#1828 <https://github.com/ros-planning/moveit2/issues/1828>)
    This ensures the color reset is applied because printing the color
    reset after new lines seems to preven the color from actually being reset.
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Abhijeet Das Gupta, AndyZe, Christian Henkel, Cory Crean, Robert Haschke, Will

 -- Michael Görner <me@v4hn.de>  Sun, 29 Jan 2023 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.6.0-1jammy) jammy; urgency=high

  * Short-circuit planning adapters (#1694 <https://github.com/ros-planning/moveit2/issues/1694>)
    * Revert "Planning request adapters: short-circuit if failure, return code rather than bool (#1605 <https://github.com/ros-planning/moveit2/issues/1605>)"
    This reverts commit 66a64b4a72b6ddef1af2329f20ed8162554d5bcb.
    * Add debug message in call stack of planning_request_adapters
    * Short-circuit planning request adapters
    * Replace if-elseif cascade with switch
    * Cleanup translation of MoveItErrorCode to string
    - Move default code to moveit_core/utils
    - Override defaults in existing getActionResultString()
    - Provide translations for all error codes defined in moveit_msgs
    * Fix comment according to review
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * avoid implicit conversions (#1593 <https://github.com/ros-planning/moveit2/issues/1593>)
  * Remove unused header (#1572 <https://github.com/ros-planning/moveit2/issues/1572>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Removed plan_with_sensing (#1142 <https://github.com/ros-planning/moveit2/issues/1142>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Abishalini Sivaraman, Robert Haschke, Sarah Nix, Sebastian Jahr, Stephanie Eng, Vatan Aksoy Tezer

 -- Michael Görner <me@v4hn.de>  Thu, 10 Nov 2022 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.5.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 28 Jul 2022 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.5.2-1jammy) jammy; urgency=high

  * Merge pull request #1402 <https://github.com/ros-planning/moveit2/issues/1402> from Abishalini/pr-sync-a436a97
    Sync with MoveIt
  * Merge https://github.com/ros-planning/moveit/commit/a436a9771f7445c162cc3090c4c7c57bdb5bf194
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Remove manipulation from moveit_ros (#1177 <https://github.com/ros-planning/moveit2/issues/1177>)
  * Merge pull request #3137 <https://github.com/ros-planning/moveit2/issues/3137> from TAMS-Group/pr-master-monitor-dynamics
    move_group can optionally monitor dynamics
  * optionally enable dynamics monitoring in move_group node
  * convert move_group to LOGNAME
  * Merge pull request #3106 <https://github.com/ros-planning/moveit/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Abishalini, Michael Görner, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, v4hn

 -- Michael Görner <me@v4hn.de>  Mon, 18 Jul 2022 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.5.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 31 May 2022 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.5.0-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/72d919299796bffc21f5eb752d66177841dc3442
  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * Fix missing include (#3051 <https://github.com/ros-planning/moveit2/issues/3051>)
  * 1.1.8
  * Improve loading of planning pipelines (#3036 <https://github.com/ros-planning/moveit2/issues/3036>)
    Ensure that planning pipelines considered in ~/planning_pipelines/* actually have a planning_plugin parameter defined.
    Otherwise, issue an error message.
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * 1.1.7
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders
    grep -rlI --exclude-dir=.git " _[0-9]" | xargs sed -i 's/ _([0-9])/ std::placeholders::_1/g'
    * Update bind include header
    grep -rlI --exclude-dir=.git "boost/bind" | xargs sed -i 's#boost/bind.hpp#functional#'
  * 1.1.6
  * Contributors: Abishalini, AndyZe, Cory Crean, Henning Kayser, Jafar, Jochen Sprickerhof, Robert Haschke, Tobias Fischer, jeoseo, v4hn

 -- Michael Görner <me@v4hn.de>  Thu, 26 May 2022 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.3.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.3.1-1jammy) jammy; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Parthasarathy Bana, Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-move-group (2.3.0-1jammy) jammy; urgency=high

  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Contributors: Vatan Aksoy Tezer

 -- Michael Görner <me@v4hn.de>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.2.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.2.0-1jammy) jammy; urgency=high

  * Fix deprecated planner namespace in MoveGroup (#524 <https://github.com/ros-planning/moveit2/issues/524>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
    * Fix missing isEmpty check in compute_ik service (#2544 <https://github.com/ros-planning/moveit/issues/2544>)
  * Contributors: Henning Kayser, Jafar Abdi, JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Wed, 30 Jun 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.1.4-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 31 May 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.1.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.1.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Apr 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.1.1-1jammy) jammy; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * TfPublisher: tf frame name can't start with '/'
  * [fix] Export libs for MoveGroup capabilities and MoveItSimpleControllerManager (#344 <https://github.com/ros-planning/moveit2/issues/344>)
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, Henning Kayser, Jafar Abdi, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Mon, 12 Apr 2021 06:00:00 -0000

ros-rolling-moveit-ros-move-group (2.1.0-1jammy) jammy; urgency=high

  * [fix] Interactive markers not visible in motion planning plugin (#299 <https://github.com/ros-planning/moveit2/issues/299>)
  * [fix] Rosdep dependencies ros_testing, OpenMP (#309 <https://github.com/ros-planning/moveit2/issues/309>)
  * [maint] Remove deprecated namespaces robot_model, robot_state  (#276 <https://github.com/ros-planning/moveit2/issues/276>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [ros2-migration] Enable warehouse in moveit_ros_benchmarks (#301 <https://github.com/ros-planning/moveit2/issues/301>)
  * [ros2-migration] Port moveit_ros_warehouse to ROS 2 (#273 <https://github.com/ros-planning/moveit2/issues/273>)
  * [ros2-migration] Port moveit_ros_benchmarks to ROS 2 (#225 <https://github.com/ros-planning/moveit2/issues/225>)
  * [ros2-migration] Port moveit_group to ROS 2 (#217 <https://github.com/ros-planning/moveit2/issues/217>)
  * Contributors: Abdullah Alzaidy, Edwin Fan, Henning Kayser, Jafar Abdi, Lior Lustgarten, Yu Yan

 -- Michael Görner <me@v4hn.de>  Mon, 23 Nov 2020 07:00:00 -0000

ros-rolling-moveit-ros-move-group (1.1.1-1jammy) jammy; urgency=high

  * [fix] Let the max number of contacts be the amount of world objects + link models with geometry (#2355 <https://github.com/ros-planning/moveit/issues/2355>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Loy van Beek, Michael Görner, v4hn

 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.1.0-1jammy) jammy; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] TfPublisher: fixup and add attached collsion objects (#1792 <https://github.com/ros-planning/moveit/issues/1792>)
  * [feature] move_group capability for publishing planning scene frames to the tf system (#1761 <https://github.com/ros-planning/moveit/issues/1761>)
  * [feature] get_planning_scene_service: return full scene when nothing was requested (#1424 <https://github.com/ros-planning/moveit/issues/1424>)
  * [feature] Separate source file for CartesianInterpolator (#1149 <https://github.com/ros-planning/moveit/issues/1149>)
  * [fix]   Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix]   Fix TfPublisher subframe publishing (#2002 <https://github.com/ros-planning/moveit/issues/2002>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Move isEmpty() test functions to moveit_core/utils (#1627 <https://github.com/ros-planning/moveit/issues/1627>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Mike Lautman, Robert Haschke, Felix von Drigalski, Jens P, Jonathan Binney, JonasTietz, Michael Görner, Tyler Weaver, Yoan Mollard, Yu, Yan, v4hn

 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.6-1jammy) jammy; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke, Michael Görner

 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.5-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.4-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.3-1jammy) jammy; urgency=high

  * [maint] Move get_planning_scene service into PlanningSceneMonitor for reusability (#1854 <https://github.com/ros-planning/moveit/issues/1854>)
  * [maint] Cleanup move_group capabilities (#1515 <https://github.com/ros-planning/moveit/issues/1515>)
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 06:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.1-1jammy) jammy; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-ros-move-group (1.0.0-1jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.10.8-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.10.7-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 13 Dec 2018 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.10.6-1jammy) jammy; urgency=high

  * [fix] Fixed various memory leaks (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Code Cleanup
    * #1180 <https://github.com/ros-planning/moveit/issues/1180>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 09 Dec 2018 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.10.2-1jammy) jammy; urgency=high

  * [fix] PlanningSceneMonitor lock #1033 <https://github.com/ros-planning/moveit/issues/1033>: Fix #868 <https://github.com/ros-planning/moveit/issues/868> (#1057 <https://github.com/ros-planning/moveit/issues/1057>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Görner <me@v4hn.de>  Wed, 24 Oct 2018 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.10.1-1jammy) jammy; urgency=high

  * Remove deprecated ExecuteTrajectoryServiceCapability (#833 <https://github.com/ros-planning/moveit/issues/833>)
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Add namespace capabilities to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * [fix] MoveAction capability can drop cancel request if it is sent shortly after goal is sent (#756 <https://github.com/ros-planning/moveit/issues/756>)
  * Contributors: Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Will Baker

 -- Michael Görner <me@v4hn.de>  Fri, 25 May 2018 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.11-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 25 Dec 2017 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.10-1jammy) jammy; urgency=high

  * [fix] always return true in MoveGroupPlanService callback #674 <https://github.com/ros-planning/moveit/pull/674>
  * [improve] adding swp's to gitignore and removing redundant capabilites from capability_names.h (#704 <https://github.com/ros-planning/moveit/issues/704>)
  * Contributors: Mike Lautman, Shingo Kitagawa

 -- Michael Görner <me@v4hn.de>  Sat, 09 Dec 2017 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.9-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Aug 2017 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.8-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Jun 2017 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.7-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 05 Jun 2017 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.6-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Apr 2017 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.5-1jammy) jammy; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Görner <me@v4hn.de>  Wed, 08 Mar 2017 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.4-1jammy) jammy; urgency=high

  * [fix] race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 06 Feb 2017 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.3-1jammy) jammy; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Görner <me@v4hn.de>  Wed, 16 Nov 2016 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.9.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Nov 2016 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.6-1jammy) jammy; urgency=high

  * added missing validity check
    iterator found with configs.find() needs to be validated before use...
  * Removed trailing whitespace from entire repository
  * moved planner params services into existing capability QueryPlannerInterfaces
  * capability plugin MoveGroupPlannerParamsService to get/set planner params
  * Fixed bug(?) in move_group::MoveGroupKinematicsService::computeIK link name selection.
  * Contributors: Dave Coleman, Mihai Pomarlan, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 08 Jun 2016 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.5-1jammy) jammy; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Michael Görner <me@v4hn.de>  Sat, 24 Jan 2015 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.4-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 20 Dec 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 03 Dec 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.2-1jammy) jammy; urgency=high

  * Merge pull request #522 <https://github.com/ros-planning/moveit_ros/issues/522> from mikeferguson/indigo-devel
    add dependency on std_srvs (part of octomap clearing service)
  * Contributors: Ioan A Sucan, Michael Ferguson

 -- Michael Görner <me@v4hn.de>  Fri, 31 Oct 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 31 Oct 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.6.0-1jammy) jammy; urgency=high

  * Added move_group capability for clearing octomap.
  * Contributors: Dave Hershberger, Sachin Chitta

 -- Michael Görner <me@v4hn.de>  Mon, 27 Oct 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.19-1jammy) jammy; urgency=high

  * Address [cppcheck: duplicateIf] error.
    The same condition was being checked twice, and the same action was being taken.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Michael Görner <me@v4hn.de>  Mon, 23 Jun 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.18-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Mar 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.17-1jammy) jammy; urgency=high

  * update maintainer e-mail
  * Contributors: Ioan Sucan

 -- Michael Görner <me@v4hn.de>  Sat, 22 Mar 2014 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.16-1jammy) jammy; urgency=high

  * empty state should be a diff state, otherwise attached objects are deleted
  * Contributors: sachinc

 -- Michael Görner <me@v4hn.de>  Thu, 27 Feb 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.14-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 06 Feb 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.13-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 06 Feb 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.12-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 03 Jan 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.11-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 03 Jan 2014 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.10-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 08 Dec 2013 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.9-1jammy) jammy; urgency=high

  * Re-ordered movegroup's initialization, so capabilities start after monitors.
  * correcting maintainer email
  * Added planning feedback to gui, refactored states tab

 -- Michael Görner <me@v4hn.de>  Tue, 03 Dec 2013 07:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.8-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 11 Oct 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.7-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 01 Oct 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.6-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 26 Sep 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.5-1jammy) jammy; urgency=high

  * porting to new RobotState API
  * more console output

 -- Michael Görner <me@v4hn.de>  Mon, 23 Sep 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.4-1jammy) jammy; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * Dependency for move_group_capabilities_base fixed.

 -- Michael Görner <me@v4hn.de>  Wed, 14 Aug 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 15 Jul 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 14 Jul 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.5.0-1jammy) jammy; urgency=high

  * white space fixes (tabs are now spaces)
  * port to new base class for planning_interface (using planning contexts)

 -- Michael Görner <me@v4hn.de>  Fri, 12 Jul 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.4.5-1jammy) jammy; urgency=high

  * Fixed for moveit_msgs/JointLimits.h no such file or directory

 -- Michael Görner <me@v4hn.de>  Wed, 03 Jul 2013 06:00:00 -0000

ros-rolling-moveit-ros-move-group (0.4.4-1jammy) jammy; urgency=high

  * fix #259 <https://github.com/ros-planning/moveit_ros/issues/259> and #260 <https://github.com/ros-planning/moveit_ros/issues/260>.

 -- Michael Görner <me@v4hn.de>  Wed, 26 Jun 2013 06:00:00 -0000


